Ошибка компиляции на IDE 1.6.2
  • Добрый день.
    Решил перейти на новую версию IDE. При компиляции выдаёт ошибку
    "Arduino: 1.6.2 (Windows 7), Плата"Arduino Uno"
    In file included from E:\arduino-1.6.2\libraries\GSM\GSM.cpp:20:0:
    E:\arduino-1.6.2\libraries\GSM\GSM.cpp:76:32: error: variable 'searchStrings' must be const in order to be put into read-only section by means of '__attribute__((progmem))'
    const char * searchStrings[9] PROGMEM = {OK, RING, CLIP, CR_LF, MORE, CPIN, CGATT, CMTI, CMGR};
    ^
    Ошибка компиляции.
    "

    В чём может быть проблема?
    Шилд cosmo-gsm-connect
  • Все правильно.
    Библиотека писалась давно, а Arduino IDE все время обновляется, все время они там вносят изменения.
    С GSM-либой используйте предыдущие версии IDE

Привет, незнакомец!

Похоже, вы новенький! Чтобы пообщаться с нами, кликните на одну из кнопок ниже :)

Войти с помощью OpenID

В этом теме:

  • Ivan Март 2015